## AgsScrolledLevelBox

AgsScrolledLevelBox — scrolled level box widget

## Stability Level

Stable, unless otherwise indicated

## Functions

GtkScrolledWindow * | ags_scrolled_level_box_get_scrolled_window ()
AgsLevelBox * | ags_scrolled_level_box_get_level_box ()
AgsScrolledLevelBox * | ags_scrolled_level_box_new ()

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkGrid
                    ╰── AgsScrolledLevelBox

## Includes

    #include <ags/widget/ags_scrolled_level_box.h>

## Description

The AgsScrolledLevelBox lets you to have a scrolled level box widget.

## Functions

### ags_scrolled_level_box_get_scrolled_window ()

    GtkScrolledWindow *
    ags_scrolled_level_box_get_scrolled_window
                                   (AgsScrolledLevelBox *scrolled_level_box);

Get scrolled window of `scrolled_level_box` .

#### Parameters

scrolled_level_box | the AgsScrolledLevel_Box |

#### Returns

the GtkScrolledWindow.

[transfer none]

Since: 4.0.0

### ags_scrolled_level_box_get_level_box ()

    AgsLevelBox *
    ags_scrolled_level_box_get_level_box (AgsScrolledLevelBox *scrolled_level_box);

Get level box of `scrolled_level_box` .

#### Parameters

scrolled_level_box | the AgsScrolledLevel_Box |

#### Returns

the AgsLevelBox.

[transfer none]

Since: 4.0.0

### ags_scrolled_level_box_new ()

    AgsScrolledLevelBox *
    ags_scrolled_level_box_new ();

Create a new AgsScrolledLevelBox.

#### Returns

a new AgsScrolledLevelBox

Since: 3.0.0